Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.fastedge.apps.logs.list(
app_id=0,
)
page = page.logs[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/fastedge"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Fastedge.Apps.Logs.List(
context.TODO(),
0,
fastedge.AppLogListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/fastedge/v1/apps/{app_id}/logs \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/fastedge/v1/apps/{app_id}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"logs": [
{
"id": "<string>",
"app_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"log": "<string>",
"edge": "<string>",
"client_ip": "<string>",
"request_id": "<string>"
}
],
"offset": 123,
"total_count": 123
}{
"error": "<string>"
}{
"error": "<string>"
}Apps
List application logs
List logs for the app
GET
/
fastedge
/
v1
/
apps
/
{app_id}
/
logs
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.fastedge.apps.logs.list(
app_id=0,
)
page = page.logs[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/fastedge"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Fastedge.Apps.Logs.List(
context.TODO(),
0,
fastedge.AppLogListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Unique identifier of the application to retrieve logs for
Query Parameters
Start of log retrieval period in RFC3339 format. Defaults to 1 hour ago if not specified.
Example:
"2023-12-31T23:59:59Z"
Reporting period end time, RFC3339 format. Default current time in UTC.
Example:
"2026-01-31T23:59:59Z"
Edge name
Search string
Search by client IP address
Search by request ID
Sort order (default desc)
Available options:
desc, asc Limit for pagination
Offset for pagination
Was this page helpful?